#!/bin/bash

QUEUES=/linuxcash/cash/aqspy/queue.list
QUEUES_EXIST=/tmp/queues.txt
trap "rm -rf $QUEUES_EXIST" 0 1 2 5 15

qpid-stat -q > $QUEUES_EXIST

for i in `cat $QUEUES` ; do
    echo "Add queue '$i'"
    if ! grep  -o '\b'$i'\b' $QUEUES_EXIST ; then
        echo "Create..."
        qpid-config add queue $i --durable
    else
        echo "The queue is exist already"
    fi
done
