# -*- coding: utf8 -*-
'''
Created on 15.12.2010

@author: gsu
'''

from plugins_base import BasePlugin, Queue, StopException, RestartException
import logging
from logging import getLogger
logger = getLogger('su.artix.aqspy')

@Queue(name='artix.aqspy.control; {create:always}', persistent=False, reply=True)
class ControlPlugin(BasePlugin):
    
    def handleMessage(self, message):
        if message.content == 'stop':
            logging.info(u'Получена Команда Остановить Сервис')
            raise StopException('stop')
        if message.content == 'restart':
            logging.info(u'Получена Команда Перезапустить Сервис')
            raise RestartException('restart')
        if message.content == 'ping':
            logging.info(u'Получена Команда Проверка Состояния')
            return 'pong' 
