#!/bin/bash

PYFILE=/linuxcash/cash/aqspy/add_payment.py
HOMEDIR=/linuxcash/cash/data/qpid/paygate
DIRNAME="${HOMEDIR}/$(date '+%Y%m%d_%H%M%S')"

mkdir -p $DIRNAME

for PAYMENT in `find $HOMEDIR -iname '*.*'` ; do
    echo $PAYMENT
    ACTION="${PAYMENT##*.}"
    if [ "$ACTION" = "commit" -o "$ACTION" = "rollback" ] ; then
        python $PYFILE --file=$PAYMENT --action=$ACTION $*
        mv -v $PAYMENT $DIRNAME
    else
        echo "Unknown status"
    fi
done

