# -*- coding: utf8 -*-
'''
Created on 31.05.2011

@author: kov & chvv
'''
from plugins_base import BasePlugin, Queue
import datetime
import sys
import os.path;
from logging import getLogger
from qpid.messaging import *

logger = getLogger('su.artix.aqspy')
@Queue(name='artix.load')
class AesPlugin(BasePlugin):
    
    def __init__(self):
        super(AesPlugin, self).__init__()
        
    def handleMessage(self, message):
        fileName = message.content['filename']
        db = message.content['db']
        if fileName:
            if os.path.exists(fileName):
                pluginPath = '/linuxcash/cash/exchangesystems/nes/upload/'
                sys.path.append(pluginPath)        
                import artix_nes
                try:
                    artix_nes.main(fileName,db)
                    cont={'result':'success'}
                    if message.content['delete']:
                        os.remove(fileName)
                except:
                    logger.info(u"ОШИБКА. Файл '%s' не был загружен в artix_nes." % fileName)
                    cont={'result':'error: can not upload file \''+ fileName + '\''}
                
            else:
                logger.info(u"ОШИБКА. Не могу найти файл '%s'." % fileName)
                cont={'result':'error: file \''+ fileName +'\' not found.'}
        else:
            logger.info(u"ОШИБКА. Файл пуст.")
            cont={'result':'error: filename empty.'}
            
        


        if message.content['wait']:
            broker="localhost:5672"
            connection = Connection(broker)
            try:
                connection.open() 
                session = connection.session()
                sender = session.sender(message.reply_to)
                sender.send(Message(content=cont))
                session.acknowledge()
            except MessagingError,m:
                print m, MessagingError
            finally:
                connection.close()
                


